%define name xanim
%define version 28010

Summary: An X based viewer for many animation/video/audio file formats.
Name: %{name}
Version: %{version}
Release: 16mdk
License: free for non-commercial use
Group: Video
URL: http://xanim.va.pubnix.com
BuildRequires: XFree86-devel libjpeg-devel zlib-devel
Source: ftp://xanim.va.pubnix.com/xanim2801.tar.bz2

# x86 codecs
Source1: ftp://xanim.va.pubnix.com/dlls/vid_cvid_2.1_linuxELFx86c6.tar.bz2
Source2: ftp://xanim.va.pubnix.com/dlls/vid_cyuv_1.0_linuxELFx86c6.tar.bz2
Source3: ftp://xanim.va.pubnix.com/dlls/vid_h261_1.0_linuxELFx86c6.tar.bz2
Source4: ftp://xanim.va.pubnix.com/dlls/vid_h263_1.1_linuxELFx86c6.tar.bz2
Source5: ftp://xanim.va.pubnix.com/dlls/vid_iv32_2.1_linuxELFx86c6.tar.bz2
Source6: ftp://xanim.va.pubnix.com/dlls/vid_iv41_1.1_linuxELFx86c6.tar.bz2
Source7: ftp://xanim.va.pubnix.com/dlls/vid_iv50_1.0_linuxELFx86c6.tar.bz2
# alpha codecs
Source11: ftp://xanim.va.pubnix.com/dlls/vid_cvid_2.1_linuxELFalphaC6.tar.bz2
Source12: ftp://xanim.va.pubnix.com/dlls/vid_cyuv_1.0_linuxELFalphaC6.tar.bz2
Source13: ftp://xanim.va.pubnix.com/dlls/vid_h261_1.0_linuxELFalphaC6.tar.bz2
Source14: ftp://xanim.va.pubnix.com/dlls/vid_h263_1.1_linuxELFalphaC6.tar.bz2
Source15: ftp://xanim.va.pubnix.com/dlls/vid_iv32_2.1_linuxELFalphaC6.tar.bz2
Source16: ftp://xanim.va.pubnix.com/dlls/vid_iv41_1.1_linuxELFalphaC6.tar.bz2
Source17: ftp://xanim.va.pubnix.com/dlls/vid_iv50_1.0_linuxELFalphaC6.tar.bz2
# PPC codecs
Source21: ftp://xanim.va.pubnix.com/dlls/vid_cvid_2.1_linuxELFppc.tar.bz2
Source22: ftp://xanim.va.pubnix.com/dlls/vid_cyuv_1.0_linuxELFppc.tar.bz2
Source23: ftp://xanim.va.pubnix.com/dlls/vid_h261_1.0_linuxELFppc.tar.bz2
Source24: ftp://xanim.va.pubnix.com/dlls/vid_h263_1.0_linuxELFppc.tar.bz2
Source25: ftp://xanim.va.pubnix.com/dlls/vid_iv32_2.1_linuxELFppc.tar.bz2
Source26: ftp://xanim.va.pubnix.com/dlls/vid_iv41_1.1_linuxELFppc.tar.bz2
Source27: ftp://xanim.va.pubnix.com/dlls/vid_iv50_1.0_linuxELFppc.tar.bz2

Patch4: xanim2801-ver.patch.bz2
Prefix: /usr/X11R6
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildPreReq: XFree86-devel, libjpeg-devel, zlib-devel
Requires: libjpeg

%description
The XAnim program is an animation/video/audio viewer for the X Window System.
XAnim can display a large variety of animation, audio and video formats.

Install the xanim package if you need a viewer for an animation, video or audio
file.

%prep
%setup -q -n xanim2801
%patch4 -p1 -b .ver

perl -pi -e "s|/usr/local/xanim|%{prefix}/lib/lib/xanim|" Makefile
perl -pi -e "s|/usr/local/xanim|%{prefix}/lib/xanim|" Makefile.unx
perl -pi -e "s|/usr/local/xanim|%{prefix}/lib/xanim|" Imakefile

%build
export PATH=%{prefix}/bin:$PATH:.
xmkmf
cp docs/xanim.man .
make CDEBUGFLAGS="$RPM_OPT_FLAGS" INCDIR=%{prefix}/include/X11

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install 
make DESTDIR=$RPM_BUILD_ROOT install.man

mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/xanim/mods
cd $RPM_BUILD_ROOT%{prefix}/lib/xanim/mods

%ifarch %{ix86}
for i in %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} %{SOURCE7}; do
  tar xjf $i
done
%endif

%ifarch alpha
for i in %{SOURCE11} %{SOURCE12} %{SOURCE13} %{SOURCE14} %{SOURCE15} %{SOURCE16} %{SOURCE17}; do
  tar xjf $i
done
%endif

%ifarch ppc
for i in %{SOURCE21} %{SOURCE22} %{SOURCE23} %{SOURCE24} %{SOURCE25} %{SOURCE26} %{SOURCE27}; do
  tar xjf $i
done
%endif

mv -f *.readme $RPM_BUILD_ROOT%{prefix}/lib/xanim

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README README.loki docs/*
%{prefix}/bin/xanim
%{prefix}/man/man1/*
%{prefix}/lib/xanim

%changelog
* Sun Dec 30 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 28010-16mdk
- updated vid_cvid from 2.0 to 2.1.
- updated vid_h263 from 1.0 to 1.1.
- updated vid_iv41 from 1.0 to 1.1.
- added codec DLLs for alpha and PPC.

* Sun Dec  9 2001 Jeff Garzik  <jgarzik@mandrakesoft.com> 28010-15mdk
- fix build on all platforms, by copying man page in %%build not
  %%install stage
- s/Copyright/License/

* Sat Feb 24 2001 Giuseppe Ghib  <ghibo@mandrakesoft.com> 28010-14mdk
- fixed license.
- removed unused patches.

* Fri Sep 29 2000 Giuseppe Ghib  <ghibo@mandrakesoft.com> 28010-13mdk
- fixed license.
- fixed DA_MINOR_REV to 80.1.
- removed quicktime4linux patch (obsolete).

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 28010-12mdk
- automatically added BuildRequires

* Thu Apr 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 28010-11mdk
- new groups
- cleaned up specfile with spec-helper in mind

* Thu Jan 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 28010-10mdk
- Don't apply loki patch with alpha.

* Fri Nov 12 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- rebuilt for Oxygen.

* Sat Sep 18 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- added export patch from Loki Games (http://www.lokigames.com/development/
  download/smjpeg/xanim2801-loki090899.tar.gz) for JPEG frames export.

* Sat Sep 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- external modules should go to /usr/X11R6/lib/xanim/mods, otherwise they
  aren't recognized by xanim.

* Mon Jul 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 2.80.1
- Add all available modules (Indeo 5.0 etc)

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Mon Mar 15 1999 Michael Maher <mike@redhat.com>
- built new codecs for glibc2.1

* Thu Nov 05 1998 Michael Maher <mike@redhat.com>
- added binary codecs to read other formats.

* Wed Sep 02 1998 Michael Maher <mike@redhat.com>
- updated package

* Fri Aug  7 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
